#pragma once

extern "C" {
#include "libavformat/avformat.h"
}

class CAVCodec
{
public:
	CAVCodec(void);
	~CAVCodec(void);

	void Init(void);
	int SetDecoder(int nCh, int nWidth, int nHeight, BYTE* pOutputBuf);
	void DecodeFrame(int nCh, const BYTE* pbuf, DWORD dwSize);
	void Deinit(void);
private:
	AVCodecContext  **m_pCodecCtx;
	AVFrame         **m_pFrame;
	AVFrame         **m_pFrameRGB;
	bool			*m_IsDecoderOpen;
};
